using BE;
using BL;
using Microsoft.Reporting.WebForms;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Frm_ReporteAnalisisPorCuenta : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        List<ReportParameter> list = new List<ReportParameter>();
        ReportParameter param1 = new ReportParameter("Text1", Request.QueryString["Texto1"].ToString());
        ReportParameter param2 = new ReportParameter("Text2", Request.QueryString["Texto2"].ToString());
        ReportParameter param3 = new ReportParameter("Text3", Request.QueryString["Texto3"].ToString());
        ReportParameter param4 = new ReportParameter("Fecha", String.Format("{0:dddd dd 'de' MMMM 'del' yyyy}", DateTime.Now));
        ReportParameter param5 = new ReportParameter("Hora", DateTime.Now.ToLongTimeString());
        ReportParameter param6 = new ReportParameter("Empresa", Establecimientos(Session["EmpresaID"].ToString().Trim()));
        ReportParameter param7 = new ReportParameter("Usuario", Convert.ToString(Session["Usuario"]));
        list.Add(param1);
        list.Add(param2);
        list.Add(param3);
        list.Add(param4);
        list.Add(param5);
        list.Add(param6);
        list.Add(param7);
        this.ReportViewer1.LocalReport.SetParameters(list);

        
        
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        Thread.CurrentThread.CurrentCulture = new CultureInfo("es-PE");
        Thread.CurrentThread.CurrentUICulture = new CultureInfo("es-PE");

    }

    private String Establecimientos(String EstablecimientoId)
    {
        BEEstablecimientos objet_Establecimientos = new BEEstablecimientos();
        BLEstablecimientos objlg_Establecimientos = new BLEstablecimientos();
        List<BEEstablecimientos> Col_Establecimientos;
        String strRetorno = String.Empty;

        Col_Establecimientos = objlg_Establecimientos.fnSelEstablecimientosDin("where EstablecimientoId=" + EstablecimientoId, "");

        if (Col_Establecimientos.Count > 0)
        {
            strRetorno = Col_Establecimientos[0].NombreEstablecimiento.Trim();
        }

        objet_Establecimientos = null;
        objlg_Establecimientos = null;

        return strRetorno;

    }
}